### Method

# GLib StaticRWLock reader_unlock

deprecated: 2.32

#### Declaration [src]

    void
    g_static_rw_lock_reader_unlock (
      GStaticRWLock* lock
    )

#### Description [src]

Unlocks `lock`. If a thread waits to lock `lock` for writing and all locks for reading have been unlocked, the waiting thread is woken up and can lock `lock` for writing.

Deprecated since: 2.32

Use `g_rw_lock_reader_unlock()` instead.

This method is not directly available to language bindings.